Subject: Re: [PATCH net-next 5/6] selftests: drv-net: add netkit devmem RX test

From: Stanislav Fomichev <[email-masked]>
Date: Tue, 17 Mar 2026 17:08:20 -0700

On 03/16, Bobby Eshleman wrote:
> From: Bobby Eshleman <[email-masked]>
> 
> Add tests for devmem RX over a netkit device with a leased queue. This
> is the same as the other devmem RX test except for ncdevmem executes in
> a namespace, binds to a netkit, and skips the ethtool NIC configuration
> steps (relying on the test runner for that setup).
> 
> The RX path is setup as the following:
> 
>  RX Path
>  -------
> 
>  Remote            Physical NIC          Netkit Host        Netkit Guest (netns)
>    |                    |                     |                    |
>    |--- TCP send ------>|                     |                    |
>                         |-------------------->|                    |
>                       dmabuf                  |--- BPF redirect -->|
> 

Is it too messy to parametrize the existing test to run both with and
without the namespaces? Feels like should be somewhat doable in python?